Attribute VB_Name = "ModMain"
Option Explicit

'Apis para el manifest
''''''''''''''''''''''''''''''''''''''

'.. para que no de error
Private Declare Function SetErrorMode Lib "kernel32" ( _
    ByVal wMode As Long) As Long

Private Declare Sub InitCommonControls Lib "Comctl32" ()


' para usar CDO Message
Public OMail As clsCDOmail

' path del archivo .ini ( app.path & config.ini)
Public sPath_ini As String

Sub Main()
    
    SetErrorMode 2
    InitCommonControls
    
    Dim dias() As String
    Dim i As Integer
    Dim fechaUltimoEnvio As Variant
    
    sPath_ini = App.Path & "\config.ini"
    
    ' si no existe o se borr ,,, lo crea
    If Len(Dir(sPath_ini)) = 0 Then
       Open sPath_ini For Output As #1
       Close
    End If
    
    ' crea una instancia para usar CDO
    
    Set OMail = New clsCDOmail
    
    '.. si el envio est habilitado
    If Leer_Ini(sPath_ini, "DATOS_BACKUP", "habilitado", 0) = True Then
       
       ' obtiene los dias que se guardaron ( lunes=1, martes=2" ...)
       dias = Split(Leer_Ini(sPath_ini, "DATOS_BACKUP", "dias", 0), ",")
       
       ' recorre los dias
       For i = 0 To UBound(dias)
            ' si es el dia de hoy
            If Weekday(Date) = CInt(dias(i) + 1) Then
                
                fechaUltimoEnvio = Leer_Ini(sPath_ini, "DATOS_BACKUP", "enviado", "")
                    
                    If fechaUltimoEnvio = "" Then
                        ' envia
                        frmBackup.Enviar
                        Call Grabar_Ini(sPath_ini, "DATOS_BACKUP", "enviado", Date)
                    Else
                        ' compara que no sea hoy
                        If IsDate(fechaUltimoEnvio) And CDate(fechaUltimoEnvio) <> Date Then
                            Call Grabar_Ini(sPath_ini, "DATOS_BACKUP", "enviado", Date)
                            ' envia
                            frmBackup.Enviar
                        End If
                    End If
            End If
        Next
    End If
    ' form principal
    frmMain.Show
End Sub
