Attribute VB_Name = "modCommonDialog"
Option Explicit

' Funcin Api GetOpenFileName _
 para abrir el cuadro de dilogo seleccionar archivo
Private Declare Function GetOpenFileName Lib "comdlg32.dll" _
    Alias "GetOpenFileNameA" ( _
    pOpenfilename As OPENFILENAME) As Long

' Estructure de datos _
  OPENFILENAME para usar con GetOpenFileName
Private Type OPENFILENAME
    lStructSize As Long
    hwndOwner As Long
    hInstance As Long
    lpstrFilter As String
    lpstrCustomFilter As String
    nMaxCustFilter As Long
    nFilterIndex As Long
    lpstrFile As String
    nMaxFile As Long
    lpstrFileTitle As String
    nMaxFileTitle As Long
    lpstrInitialDir As String
    lpstrTitle As String
    flags As Long
    nFileOffset As Integer
    nFileExtension As Integer
    lpstrDefExt As String
    lCustData As Long
    lpfnHook As Long
    lpTemplateName As String
End Type


Function ShowCD(frm As Form) As String
Dim OFName As OPENFILENAME
    
    With OFName
        .lStructSize = Len(OFName)
        .hwndOwner = frm.hwnd
        .hInstance = App.hInstance
        .lpstrFilter = "Todos los archivos (*.*)" + Chr$(0) + "*.*" + Chr$(0)

        .lpstrFile = Space$(254)
        .nMaxFile = 255
        .lpstrFileTitle = Space$(254)
        .nMaxFileTitle = 255
        .lpstrInitialDir = App.Path
        .lpstrTitle = "Abrir archivos"
        .flags = 0
    End With
        
    Dim ncharNull As Long
        
    Call GetOpenFileName(OFName)
    
    Dim archivo As String
    archivo = OFName.lpstrFile
    ' retorna el archivo seleccionado
    ShowCD = Trim$(Replace(OFName.lpstrFile, Chr(0), vbNullString))

End Function


