Attribute VB_Name = "ModINI"
 Option Explicit

' apis para leer y escibir en archivos ini
'''''''''''''''''''''''''''''''''''''''''''''''''''''
Private Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" ( _
    ByVal lpApplicationName As String, _
    ByVal lpKeyName As String, _
    ByVal lpDefault As String, _
    ByVal lpReturnedString As String, _
    ByVal nSize As Long, _
    ByVal lpFileName As String) As Long


Private Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" ( _
    ByVal lpApplicationName As String, _
    ByVal lpKeyName As String, _
    ByVal lpString As String, _
    ByVal lpFileName As String) As Long


'Lee un dato del config.INI
''''''''''''''''''''''''''''''''''''''
Function Leer_Ini(path_ini As String, _
                  SECCION As String, _
                  Key As String, _
                  Optional Default As Variant = "") As String

Dim bufer As String * 256
Dim Len_Value As Long

    If Len(Dir(path_ini)) = 0 Then
       MsgBox "No se ha encontrado el archivo 'config.ini' con los datos " & _
              "para poder enviar el mail", vbCritical
       End
    End If

        Len_Value = GetPrivateProfileString(SECCION, _
                                            Key, _
                                            Default, _
                                            bufer, _
                                            Len(bufer), _
                                            path_ini)
        ' Retorna el valor
        Leer_Ini = Left$(bufer, Len_Value)

End Function

'Escribe un dato en el config.INI
'''''''''''''''''''''''''''''''''''
Function Grabar_Ini(path_ini As String, _
                    SECCION As String, _
                    Key As String, _
                    Valor As Variant) As String

    WritePrivateProfileString SECCION, _
                                         Key, _
                                         Valor, _
                                         path_ini

End Function


